# SIPNotifyHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPNotifyHandler:

[legend]
Collaboration diagram for SIPNotifyHandler:
[legend]

## Public Types

| Deactivated
| Probation
| Rejected
| Timeout
| GiveUp
| NoResource
enum | Reasons { Deactivated, Probation, Rejected, Timeout, GiveUp, NoResource }

## Public Member Functions

| SIPNotifyHandler (SIPEndPoint &ep, const SIPEventPackage &eventPackage, const SIPDialogContext &dialog)
| ~SIPNotifyHandler ()
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual SIPEventPackage | GetEventPackage () const
virtual void | SetBody (const PString &body)
virtual bool | SendNotify (const PObject *body)

## Protected Member Functions

virtual PBoolean | SendRequest (SIPHandler::State state)
virtual void | WriteTransaction (OpalTransport &transport, bool &succeeded)

## Protected Attributes

SIPEventPackage | m_eventPackage
Reasons | m_reason
SIPEventPackageHandler * | m_packageHandler
PString | m_body

## Member Enumeration Documentation

enum SIPNotifyHandler::Reasons

Enumerator:

  Deactivated |
  Probation |
  Rejected |
  Timeout |
  GiveUp |
  NoResource |

## Constructor & Destructor Documentation

SIPNotifyHandler::SIPNotifyHandler | ( | SIPEndPoint & | ep,
|  | const SIPEventPackage & | eventPackage,
|  | const SIPDialogContext & | dialog |
| ) |  |  |

SIPNotifyHandler::~SIPNotifyHandler | ( |  | ) |

## Member Function Documentation

virtual SIPTransaction* SIPNotifyHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual SIPEventPackage SIPNotifyHandler::GetEventPackage | ( |  | ) | const`[inline, virtual]`

Reimplemented from SIPHandler.

virtual bool SIPNotifyHandler::SendNotify | ( | const PObject * | body | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual PBoolean SIPNotifyHandler::SendRequest | ( | SIPHandler::State | state | ) | `[protected, virtual]`

Reimplemented from SIPHandler.

virtual void SIPNotifyHandler::SetBody | ( | const PString & | body | ) | `[inline, virtual]`

Reimplemented from SIPHandler.

virtual void SIPNotifyHandler::WriteTransaction | ( | OpalTransport & | transport,
|  | bool & | succeeded |
| ) |  |  | `[protected, virtual]`

## Field Documentation

PString SIPNotifyHandler::m_body `[protected]`

SIPEventPackage SIPNotifyHandler::m_eventPackage `[protected]`

SIPEventPackageHandler* SIPNotifyHandler::m_packageHandler `[protected]`

Reasons SIPNotifyHandler::m_reason `[protected]`

The documentation for this class was generated from the following file:

- handlers.h